D_LOOKUP(9)

NAME
d_lookup - search for a dentry

SYNOPSIS

struct dentry * d_lookup(const struct dentry * parent, const struct qstr * name);

ARGUMENTS

parent
    parent dentry

name
    qstr of name we wish to find

RETURNS

dentry, or NULL

d_lookup searches the children of the parent dentry for the name in question. If the dentry is found its reference count is incremented and the dentry is returned. The caller must use dput to free the entry when it has finished using it. NULL is returned if the dentry does not exist.

COPYRIGHT